/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenebalancegroupdescPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "BALANCEGROUP")
    private String balancegroup;
    @Basic(optional = false)
    @Column(name = "LANGUAGECODE")
    private String languagecode;

    public TgenebalancegroupdescPK() {
    }

    public TgenebalancegroupdescPK(String balancegroup, String languagecode) {
        this.balancegroup = balancegroup;
        this.languagecode = languagecode;
    }

    public String getBalancegroup() {
        return balancegroup;
    }

    public void setBalancegroup(String balancegroup) {
        this.balancegroup = balancegroup;
    }

    public String getLanguagecode() {
        return languagecode;
    }

    public void setLanguagecode(String languagecode) {
        this.languagecode = languagecode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (balancegroup != null ? balancegroup.hashCode() : 0);
        hash += (languagecode != null ? languagecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenebalancegroupdescPK)) {
            return false;
        }
        TgenebalancegroupdescPK other = (TgenebalancegroupdescPK) object;
        if ((this.balancegroup == null && other.balancegroup != null) || (this.balancegroup != null && !this.balancegroup.equals(other.balancegroup))) {
            return false;
        }
        if ((this.languagecode == null && other.languagecode != null) || (this.languagecode != null && !this.languagecode.equals(other.languagecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenebalancegroupdescPK[ balancegroup=" + balancegroup + ", languagecode=" + languagecode + " ]";
    }
    
}
